/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.jms;

import java.util.HashMap;
import java.util.Map;

/**
 * containter receive all message, then dispatch to a specific destination MessageBulk
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class JMSContainer {

    /**
     * all destinations
     * destination => DestinationBucket
     */
    private Map destinations = new HashMap();

    /**
     * Client connections ClientID=>JMSConnectionRemote stub
     * for async call back
     */
    private Map connections = new HashMap();

    private static JMSContainer instance = new JMSContainer();

    private JMSContainer() {
    }

    public static JMSContainer getInstance() {
        return instance;
    }

    /**
     * register a new destination
     */
    public void registerDestination() {

    }

    public static void main(String[] args) {

    }

}
